# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeVector Class Reference

This class implements the mapping between classes
Vector from Geom, Geom2d and Vec, Vec2d from gp, and the class
Vector from StepGeom which describes a Vector from
Prostep.
.

`#include <GeomToStep_MakeVector.hxx>`

Inheritance diagram for GeomToStep_MakeVector:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeVector (const gp_Vec &V)
Standard_EXPORT | GeomToStep_MakeVector (const gp_Vec2d &V)
Standard_EXPORT | GeomToStep_MakeVector (const Handle(Geom_Vector)&V)
Standard_EXPORT | GeomToStep_MakeVector (const Handle(Geom2d_Vector)&V)
Standard_EXPORT const Handle_StepGeom_Vector & | Value () const

## Private Attributes

Handle_StepGeom_Vector | theVector

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeVector::GeomToStep_MakeVector | ( | const gp_Vec & | V | ) |

Standard_EXPORT GeomToStep_MakeVector::GeomToStep_MakeVector | ( | const gp_Vec2d & | V | ) |

Standard_EXPORT GeomToStep_MakeVector::GeomToStep_MakeVector | ( | const Handle(Geom_Vector)& | V | ) |

Standard_EXPORT GeomToStep_MakeVector::GeomToStep_MakeVector | ( | const Handle(Geom2d_Vector)& | V | ) |

## Member Function Documentation

void GeomToStep_MakeVector::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeVector::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeVector::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_Vector& GeomToStep_MakeVector::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Vector GeomToStep_MakeVector::theVector `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeVector.hxx